Package org.opensaml.soap.wstrust.impl

# Class RenewingImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.soap.wstrust.impl.AbstractWSTrustObject
org.opensaml.soap.wstrust.impl.RenewingImpl

All Implemented Interfaces:
  `XMLObject`, `Renewing`, `WSTrustObject`

public class RenewingImpl extends AbstractWSTrustObject implements Renewing
RenewingImpl.

## Field Summary

Fields
Modifier and Type
Field
Description
`private XSBooleanValue`
`allow`
The Allow attribute value.
`private XSBooleanValue`
`ok`
The OK attribute value.

### Fields inherited from interface org.opensaml.soap.wstrust.Renewing

`ALLOW_ATTRIB_NAME, ELEMENT_LOCAL_NAME, ELEMENT_NAME, OK_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`RenewingImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`Boolean`
`isAllow()`
Returns the wst:Renewing/@Allow attribute value.
`XSBooleanValue`
`isAllowXSBoolean()`
Returns the wst:Renewing/@Allow attribute value.
`Boolean`
`isOK()`
Returns the wst:Renewing/@OK attribute value.
`XSBooleanValue`
`isOKXSBoolean()`
Returns the wst:Renewing/@OK attribute value.
`void`
`setAllow(Boolean newAllow)`
Sets the wst:Renewing/@Allow attribute value.
`void`
`setAllow(XSBooleanValue newAllow)`
Sets the wst:Renewing/@Allow attribute value.
`void`
`setOK(Boolean newOK)`
Sets the wst:Renewing/@OK attribute value.
`void`
`setOK(XSBooleanValue newOK)`
Sets the wst:Renewing/@OK attribute value.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### allow

@Nullable private XSBooleanValue allow
The Allow attribute value.

### ok

@Nullable private XSBooleanValue ok
The OK attribute value.

## Constructor Details

### RenewingImpl

public RenewingImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - The namespace of the element
  `elementLocalName` - The local name of the element
  `namespacePrefix` - The namespace prefix of the element

## Method Details

### isAllow

@Nullable public Boolean isAllow()
Returns the wst:Renewing/@Allow attribute value.

Specified by:
  `isAllow` in interface `Renewing`
Returns:
  the Allow attribute value

### isAllowXSBoolean

@Nullable public XSBooleanValue isAllowXSBoolean()
Returns the wst:Renewing/@Allow attribute value.

Specified by:
  `isAllowXSBoolean` in interface `Renewing`
Returns:
  the Allow attribute value

### setAllow

public void setAllow(@Nullable Boolean newAllow)
Sets the wst:Renewing/@Allow attribute value.

Specified by:
  `setAllow` in interface `Renewing`
Parameters:
  `newAllow` - the Allow attribute value.

### setAllow

public void setAllow(@Nullable XSBooleanValue newAllow)
Sets the wst:Renewing/@Allow attribute value.

Specified by:
  `setAllow` in interface `Renewing`
Parameters:
  `newAllow` - the Allow attribute value.

### isOK

@Nullable public Boolean isOK()
Returns the wst:Renewing/@OK attribute value.

Specified by:
  `isOK` in interface `Renewing`
Returns:
  the OK attribute value

### isOKXSBoolean

@Nullable public XSBooleanValue isOKXSBoolean()
Returns the wst:Renewing/@OK attribute value.

Specified by:
  `isOKXSBoolean` in interface `Renewing`
Returns:
  the OK attribute value

### setOK

public void setOK(@Nullable Boolean newOK)
Sets the wst:Renewing/@OK attribute value.

Specified by:
  `setOK` in interface `Renewing`
Parameters:
  `newOK` - the OK attribute value.

### setOK

public void setOK(@Nullable XSBooleanValue newOK)
Sets the wst:Renewing/@OK attribute value.

Specified by:
  `setOK` in interface `Renewing`
Parameters:
  `newOK` - the OK attribute value.

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements